package com.rp.util.sort.compare;

public class CharacterComparator implements java.util.Comparator
{

	public int compare(Object o1,Object o2) throws ClassCastException
	{
		if(!(o1 instanceof Character))
		{
			throw new ClassCastException();
		}
		if(!(o2 instanceof Character))
		{
			throw new ClassCastException();
		}
		char d1 = ((Character)o1).charValue();
		char d2 = ((Character)o2).charValue();
		
		if (d1 < d2)
		{
			return -1;	
		}
		else if (d1 > d2)
		{
			return 1;	
		}
		else
		{
			return 0;	
		}
	}
}
